﻿@using RailwayCashBox
@using RailwayCashBox.DAL.Entities
@model RailwayCashBox.DAL.Entities.TrainRoute

@{
    ViewBag.Title = "Редактирование маршрута";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Редактирование маршрута</h2>

@using (Html.BeginForm("Edit", "TrainRoute", null, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>Маршрут</legend>

        @Html.HiddenFor(m => m.Id, new { data_val = "false" })
        <div class="form-group">
            @Html.LabelFor(m => m.Code, new { @class = "col-md-3 control-label" })
            <div class="col-md-5">
                @Html.TextBoxFor(m => m.Code, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Code)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.StartDate, new { @class = "col-md-3 control-label" })
            <div class="col-md-5">
                @Html.EditorFor(m => m.StartDate)
                @Html.ValidationMessageFor(model => model.StartDate)
            </div>
        </div>
        @Html.HiddenFor(m => m.StartStation.Id, new { data_val = "false" })
        <div class="form-group">
            @Html.Label("Станция отправления", new { @class = "col-md-3 control-label" })
            <div class="col-md-5">
                @Html.DropDownListFor(m => m.StartStation.StationIdForEditing, new SelectList(ViewBag.Stations, "Id", "Name", Model.StartStation.StationIdForEditing) , new { @class = "form-control" })
                @Html.EditorFor(m => m.StartStation.DepartureTime)
                @Html.ValidationMessageFor(model => model.StartStation.StationIdForEditing)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(m => m.IntermediateStations, new { @class = "col-md-3 control-label" })
        </div>

        @for (int i = 0; i < Model.IntermediateStations.Count; i++)
        {
            @Html.HiddenFor(m => m.IntermediateStations[i].Id, new { data_val = "false" })
            <div class="form-group">
                <div class="col-md-3" style="text-align: right">№@(i + 1)</div>
                <div class="col-md-5">
                    @Html.DropDownListFor(m => m.IntermediateStations[i].StationIdForEditing, new SelectList(ViewBag.Stations, "Id", "Name", Model.IntermediateStations[0].StationIdForEditing), new { @class = "form-control" })
                    @Html.EditorFor(m => m.IntermediateStations[i].DepartureTime)
                    @Html.EditorFor(m => m.IntermediateStations[i].ArrivalTime)
                </div>
            </div>
        }

        <div class="form-group">
            @Html.Label("Станция прибытия", new { @class = "col-md-3 control-label" })
            <div class="col-md-5">
                @Html.HiddenFor(m => m.EndStation.Id, new { data_val = "false" })
                @Html.DropDownListFor(m => m.EndStation.StationIdForEditing, new SelectList(ViewBag.Stations, "Id", "Name", Model.EndStation.StationIdForEditing), new { @class = "form-control" })
                @Html.EditorFor(m => m.EndStation.ArrivalTime)
                @Html.ValidationMessageFor(model => model.EndStation.StationIdForEditing)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(m => m.StopDate, new {@class = "col-md-3 control-label"})
            <div class="col-md-5">
                @Html.EditorFor(m => m.StopDate)
                @Html.ValidationMessageFor(model => model.StopDate)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(m => m.ScheduleType, new {@class = "col-md-3 control-label"})
            <div class="col-md-5">
                @Html.DropDownListFor(m => Model.ScheduleType, Helper.GetEnumValues(typeof (ScheduleType), Model.ScheduleType, ScheduleTypeToDescription.ToDescription), new {@class = "form-control"})
                @Html.ValidationMessageFor(model => model.ScheduleType)
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(m => m.TrainCars, new { @class = "col-md-3 control-label" })
        </div>
        @for (int i = 0; i < Model.TrainCars.Count; i++)
        {
            @Html.HiddenFor(m => Model.TrainCars[i].Id, new { data_val = "false" })
            <div class="form-group">
                <div class="col-md-3" style="text-align: right">№@(i + 1)</div>
                <div class="col-md-5">
                    <div>
                        @Html.LabelFor(m => Model.TrainCars[i].CarType, new { @class = "control-label" })
                        @Html.DropDownListFor(m => Model.TrainCars[i].CarType, Helper.GetEnumValues(typeof(CarType), Model.TrainCars[i].CarType, CarTypeToDescription.ToDescription), new { @class = "form-control" })
                    </div>
                    <div>
                        @Html.LabelFor(m => Model.TrainCars[i].Number, new { @class = "control-label" })
                        @Html.TextBoxFor(m => Model.TrainCars[i].Number, new { @class = "form-control" })
                    </div>
                    <div>
                        @Html.LabelFor(m => Model.TrainCars[i].SeatPrice, new { @class = "control-label" })
                        @Html.TextBoxFor(m => Model.TrainCars[i].SeatPrice, new { @class = "form-control" })
                    </div>
                </div>
            </div>
        }

        <div class="form-group">
            <div class="col-md-offset-2 col-md-5">
                <input type="submit" value="Сохранить" class="btn btn-default" />
            </div>
        </div>
    </fieldset>
}
<div>
    @Html.ActionLink("Вернуться", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
